function [Z storedFullScores] = convolveOnNeg(learnedModel,negData)

oriRange = [0 4 8 12 16 20 24 28];
nImage = 3; % current constraint
storedFullScores = cell(nImage,1);

for jImage = 1:nImage
    % scan everywhere
    [scores bestOriPerLoc storedFullScores{jImage}] = ABtest_one(negData.XYS,oriRange,learnedModel,negData.S1Maps(jImage,:,:));
end

Z = 0;
for jImage = 1:nImage
    num = numel(storedFullScores{jImage});
    tmpSum = sum( exp( storedFullScores{jImage}(:) ) );
    Z = Z + 1/nImage * tmpSum/num;
end
